SchedulerObj (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared.obj
Class SchedulerObj

    java.lang.Object
      org.gcube.datatransfer.portlets.user.shared.obj.SchedulerObj

All Implemented Interfaces:
  com.kfuntak.gwt.json.serialization.client.JsonSerializable

    public class SchedulerObj

extends Object
implements com.kfuntak.gwt.json.serialization.client.JsonSerializable

Field Summary
`String` | `accessType`
`String` | `agentHostname`
`String` | `dataSourceId`
`String` | `dataStorageId`
`String` | `destinationFolder`
`List<String>` | `inputUrls`
`boolean` | `overwrite`
`String` | `owner`
`String` | `scope`
`String` | `serviceClass`
`String` | `serviceName`
`String` | `sourceType`
`String` | `storageType`
`String` | `submitter`
`boolean` | `syncOp`
`TypeOfSchedule` | `typeOfSchedule`
`String` | `typeOfTransfer`
`boolean` | `unzipFile`

Constructor Summary
`SchedulerObj()`

Method Summary
`static com.kfuntak.gwt.json.serialization.client.Serializer` | `createSerializer()`
`String` | `getAccessType()`
`String` | `getAgentHostname()`
`String` | `getDataSourceId()`
`String` | `getDataStorageId()`
`String` | `getDestinationFolder()`
`List<String>` | `getInputUrls()`
`boolean` | `getOverwrite()`
`String` | `getOwner()`
`String` | `getPass()`
`String` | `getScope()`
`String` | `getServiceClass()`
`String` | `getServiceName()`
`String` | `getSourceType()`
`String` | `getStorageType()`
`String` | `getSubmittedDate()`
`String` | `getSubmitter()`
`boolean` | `getSyncOp()`
`TypeOfSchedule` | `getTypeOfSchedule()`
`String` | `getTypeOfTransfer()`
`boolean` | `getUnzipFile()`
`void` | `setAccessType(String accessType)`
`void` | `setAgentHostname(String agentHostname)`
`void` | `setDataSourceId(String dataSourceId)`
`void` | `setDataStorageId(String dataStorageId)`
`void` | `setDestinationFolder(String destinationFolder)`
`void` | `setInputUrls(List<String> inputUrls)`
`void` | `setOverwrite(boolean overwrite)`
`void` | `setOwner(String owner)`
`void` | `setPass(String pass)`
`void` | `setScope(String scope)`
`void` | `setServiceClass(String serviceClass)`
`void` | `setServiceName(String serviceName)`
`void` | `setSourceType(String sourceType)`
`void` | `setStorageType(String storageType)`
`void` | `setSubmittedDate(String submittedDate)`
`void` | `setSubmitter(String submitter)`
`void` | `setSyncOp(boolean syncOp)`
`void` | `setTypeOfSchedule(TypeOfSchedule typeOfSchedule)`
`void` | `setTypeOfTransfer(String typeOfTransfer)`
`void` | `setUnzipFile(boolean unzipFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### submitter

    public String submitter

### typeOfSchedule

    public TypeOfSchedule typeOfSchedule

### typeOfTransfer

    public String typeOfTransfer

### scope

    public String scope

### unzipFile

    public boolean unzipFile

### overwrite

    public boolean overwrite

### syncOp

    public boolean syncOp

### agentHostname

    public String agentHostname

### inputUrls

    public List<String> inputUrls

### dataSourceId

    public String dataSourceId

### sourceType

    public String sourceType

### destinationFolder

    public String destinationFolder

### dataStorageId

    public String dataStorageId

### storageType

    public String storageType

### accessType

    public String accessType

### owner

    public String owner

### serviceClass

    public String serviceClass

### serviceName

    public String serviceName

Constructor Detail

### SchedulerObj

    public SchedulerObj()

Method Detail

### getPass

    public String getPass()

### setPass

    public void setPass(String pass)

### getTypeOfSchedule

    public TypeOfSchedule getTypeOfSchedule()

### setTypeOfSchedule

    public void setTypeOfSchedule(TypeOfSchedule typeOfSchedule)

### getTypeOfTransfer

    public String getTypeOfTransfer()

### setTypeOfTransfer

    public void setTypeOfTransfer(String typeOfTransfer)

### getScope

    public String getScope()

### setScope

    public void setScope(String scope)

### getUnzipFile

    public boolean getUnzipFile()

### setUnzipFile

    public void setUnzipFile(boolean unzipFile)

### getOverwrite

    public boolean getOverwrite()

### setOverwrite

    public void setOverwrite(boolean overwrite)

### getSyncOp

    public boolean getSyncOp()

### setSyncOp

    public void setSyncOp(boolean syncOp)

### getAgentHostname

    public String getAgentHostname()

### setAgentHostname

    public void setAgentHostname(String agentHostname)

### getInputUrls

    public List<String> getInputUrls()

### setInputUrls

    public void setInputUrls(List<String> inputUrls)

### getDestinationFolder

    public String getDestinationFolder()

### setDestinationFolder

    public void setDestinationFolder(String destinationFolder)

### getStorageType

    public String getStorageType()

### setStorageType

    public void setStorageType(String storageType)

### getAccessType

    public String getAccessType()

### setAccessType

    public void setAccessType(String accessType)

### getOwner

    public String getOwner()

### setOwner

    public void setOwner(String owner)

### getServiceClass

    public String getServiceClass()

### setServiceClass

    public void setServiceClass(String serviceClass)

### getServiceName

    public String getServiceName()

### getDataSourceId

    public String getDataSourceId()

### setDataSourceId

    public void setDataSourceId(String dataSourceId)

### setServiceName

    public void setServiceName(String serviceName)

### getSubmitter

    public String getSubmitter()

### setSubmitter

    public void setSubmitter(String submitter)

### createSerializer

    public static com.kfuntak.gwt.json.serialization.client.Serializer createSerializer()

### getSubmittedDate

    public String getSubmittedDate()

### setSubmittedDate

    public void setSubmittedDate(String submittedDate)

### getDataStorageId

    public String getDataStorageId()

### setDataStorageId

    public void setDataStorageId(String dataStorageId)

### getSourceType

    public String getSourceType()

### setSourceType

    public void setSourceType(String sourceType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.